<!--<p id="notice"><%= notice %></p>

<h1>Listing Products</h1>

<table>
  <thead>
    <tr>
      <th>Title</th>
      <th>Description</th>
      <th>Image url</th>
      <th>Price</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @products.each do |product| %>
      <tr>
        <td><%= product.title %></td>
        <td><%= product.description %></td>
        <td><%= product.image_url %></td>
        <td><%= product.price %></td>
        <td><%= link_to 'Show', product %></td>
        <td><%= link_to 'Edit', edit_product_path(product) %></td>
        <td><%= link_to 'Destroy', product, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Product', new_product_path %>
-->
<h1>Listing products</h1>
<table>
<% @products.each do |product| %>
	<tr class="<%=cycle('list_line_odd', 'list_line_even') %>">
		<td>
			<%= image_tag(product.image_url, class: 'list_image') %>
		</td>
		<td class="list_description">
			<dl>
				<dt><%= product.title %></dt>
				<dd><%= truncate(strip_tags(product.description), length: 80) %></dd>
			</dl>
		</td>
		<td class="list_actions">
			<%= link_to 'Show', product %><br/>
			<%= link_to 'Edit', edit_product_path(product) %><br/>
			<%= link_to 'Destroy', product, method: :delete,
				data: {confirm: 'Are you sure?'} %>
		</td>
	</tr>
<% end %>
</table>
<br/>
<%= link_to 'New product', new_product_path %>